/*
 * Created by Brett on 16/03/23.
 * Licensed under GNU General Public License V3.0
 * See LICENSE file for license detail
 */
#include <render/renderer.h>

namespace fp {
    
    shader* renderer::createShader(shader&& shader) {
        BLT_TRACE("Creating shader");
        auto s = new class shader(std::move(shader));
        BLT_TRACE("Shader created");
        shaders.push_back(s);
        BLT_TRACE("returning");
        return s;
    }
}